grep-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

grep branch, master, updated. v2.7-42-gd98338e


From: Jim Meyering
Subject: grep branch, master, updated. v2.7-42-gd98338e
Date: Sat, 07 May 2011 13:52:12 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "grep".

The branch, master has been updated
       via  d98338ebf842ec9b69631837eee50ebdcd543505 (commit)
       via  8da41c930e03a8635cbd8c89e3e591374c232c89 (commit)
      from  5329e00c99c33406cd671ebac1d3a6e688ef05ab (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=d98338ebf842ec9b69631837eee50ebdcd543505


commit d98338ebf842ec9b69631837eee50ebdcd543505
Author: Jim Meyering <address@hidden>
Date:   Wed May 4 13:07:36 2011 +0200

    tests: exercise bug with 0x80..0xff in [...]
    
    * tests/high-bit-range: New test, inspired by an example in the
    report by Igor O. Ladygin: http://bugs.debian.org/624387,
    via Santiago Ruano Rincón's http://savannah.gnu.org/bugs/?33198
    * tests/Makefile.am (TESTS): Add it.

diff --git a/THANKS b/THANKS
index 116b9c4..9ee6be3 100644
--- a/THANKS
+++ b/THANKS
@@ -37,6 +37,7 @@ H. Merijn Brand            <address@hidden>
 Harald Hanche-Olsen        <address@hidden>
 Hans-Bernhard Broeker      <address@hidden>
 Heikki Korpela             <address@hidden>
+Igor O. Ladygin            <address@hidden>
 Ilya Basin                 <address@hidden>
 Isamu Hasegawa             <address@hidden>
 Jaroslav Å karvada          <address@hidden>
@@ -76,6 +77,7 @@ Philippe De Muyter         <address@hidden>
 Philip Hazel               <address@hidden>
 Roland Roberts             <address@hidden>
 Ruslan Ermilov             <address@hidden>
+Santiago Ruano Rincón      <address@hidden>
 Santiago Vila              <address@hidden>
 Shannon Hill               <address@hidden>
 Sotiris Vassilopoulos      <address@hidden>
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 7233c01..53314a8 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -63,6 +63,7 @@ TESTS =                                               \
   inconsistent-range                            \
   khadafy                                      \
   max-count-vs-context                         \
+  high-bit-range                               \
   options                                      \
   pcre                                         \
   pcre-z                                       \
diff --git a/tests/high-bit-range b/tests/high-bit-range
new file mode 100644
index 0000000..d150633
--- /dev/null
+++ b/tests/high-bit-range
@@ -0,0 +1,28 @@
+#!/bin/sh
+# Exercise high-bit-set unibyte-in-[...]-range bug.
+
+# Copyright (C) 2011 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+fail=0
+
+printf '\x81\n' > in || framework_failure_
+grep "$(printf '[\x81]')" in > out || fail=1
+
+compare out in || fail=1
+
+Exit $fail

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=8da41c930e03a8635cbd8c89e3e591374c232c89


commit d98338ebf842ec9b69631837eee50ebdcd543505
Author: Jim Meyering <address@hidden>
Date:   Wed May 4 13:07:36 2011 +0200

    tests: exercise bug with 0x80..0xff in [...]
    
    * tests/high-bit-range: New test, inspired by an example in the
    report by Igor O. Ladygin: http://bugs.debian.org/624387,
    via Santiago Ruano Rincón's http://savannah.gnu.org/bugs/?33198
    * tests/Makefile.am (TESTS): Add it.

diff --git a/THANKS b/THANKS
index 116b9c4..9ee6be3 100644
--- a/THANKS
+++ b/THANKS
@@ -37,6 +37,7 @@ H. Merijn Brand            <address@hidden>
 Harald Hanche-Olsen        <address@hidden>
 Hans-Bernhard Broeker      <address@hidden>
 Heikki Korpela             <address@hidden>
+Igor O. Ladygin            <address@hidden>
 Ilya Basin                 <address@hidden>
 Isamu Hasegawa             <address@hidden>
 Jaroslav Å karvada          <address@hidden>
@@ -76,6 +77,7 @@ Philippe De Muyter         <address@hidden>
 Philip Hazel               <address@hidden>
 Roland Roberts             <address@hidden>
 Ruslan Ermilov             <address@hidden>
+Santiago Ruano Rincón      <address@hidden>
 Santiago Vila              <address@hidden>
 Shannon Hill               <address@hidden>
 Sotiris Vassilopoulos      <address@hidden>
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 7233c01..53314a8 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -63,6 +63,7 @@ TESTS =                                               \
   inconsistent-range                            \
   khadafy                                      \
   max-count-vs-context                         \
+  high-bit-range                               \
   options                                      \
   pcre                                         \
   pcre-z                                       \
diff --git a/tests/high-bit-range b/tests/high-bit-range
new file mode 100644
index 0000000..d150633
--- /dev/null
+++ b/tests/high-bit-range
@@ -0,0 +1,28 @@
+#!/bin/sh
+# Exercise high-bit-set unibyte-in-[...]-range bug.
+
+# Copyright (C) 2011 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+fail=0
+
+printf '\x81\n' > in || framework_failure_
+grep "$(printf '[\x81]')" in > out || fail=1
+
+compare out in || fail=1
+
+Exit $fail

-----------------------------------------------------------------------

Summary of changes:
 NEWS                                |    6 ++++++
 THANKS                              |    2 ++
 src/dfa.c                           |    3 ++-
 tests/Makefile.am                   |    1 +
 tests/{turkish-I => high-bit-range} |   10 +++-------
 5 files changed, 14 insertions(+), 8 deletions(-)
 copy tests/{turkish-I => high-bit-range} (77%)
 mode change 100755 => 100644


hooks/post-receive
-- 
grep



reply via email to

[Prev in Thread] Current Thread [Next in Thread]